com.independentsoft.exchange

## Class RecurringMasterItemId

- java.lang.Object
- - com.independentsoft.exchange.Id
  - - com.independentsoft.exchange.ItemId
    - - com.independentsoft.exchange.RecurringMasterItemId

-     public class RecurringMasterItemId
      extends ItemId

  Identifies a recurrence master item by identifying the identifiers of one of its related occurrence items.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecurringMasterItemId()` Initializes a new instance of the RecurringMasterItemId class.
    `RecurringMasterItemId(java.lang.String id)` Initializes a new instance of the RecurringMasterItemId class.
    `RecurringMasterItemId(java.lang.String id, java.lang.String changeKey)` Initializes a new instance of the RecurringMasterItemId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Converts the value of the current RecurringMasterItemId object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.ItemId

      `getId, setId`

    - ### Methods inherited from class com.independentsoft.exchange.Id

      `getChangeKey, setChangeKey`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecurringMasterItemId

          public RecurringMasterItemId()

      Initializes a new instance of the RecurringMasterItemId class.

    - #### RecurringMasterItemId

          public RecurringMasterItemId(java.lang.String id)

      Initializes a new instance of the RecurringMasterItemId class.
      Parameters:
        `id` - the id

    - #### RecurringMasterItemId

          public RecurringMasterItemId(java.lang.String id,
                                       java.lang.String changeKey)

      Initializes a new instance of the RecurringMasterItemId class.
      Parameters:
        `id` - the id
        `changeKey` - the change key

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current RecurringMasterItemId object to its equivalent string representation.
      Overrides:
        `toString` in class `ItemId`
      Returns:
        the string